      SUBROUTINE F77OPN (UNIT, FILE)
      INTEGER UNIT
      CHARACTER*(*) FILE
      OPEN (UNIT, FILE=FILE)
      RETURN
      END

      SUBROUTINE F77CLS (UNIT)
      INTEGER UNIT
      CLOSE (UNIT)
      RETURN
      END

      SUBROUTINE F77WCH (UNIT, STRING)
      INTEGER UNIT
      CHARACTER*(*) STRING
      WRITE (UNIT, FMT='(A)') STRING
      RETURN
      END

